aim4.im.v2i.policy

## Class BasePolicy.ProposalFilterResult

- java.lang.Object
- - aim4.im.v2i.policy.BasePolicy.ProposalFilterResult

- Enclosing class:
    BasePolicy

      public static class BasePolicy.ProposalFilterResult
      extends Object

  The result of the standard proposal filter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePolicy.ProposalFilterResult(List<Request.Proposal> proposals)` Create the result of the standard proposal filter
    `BasePolicy.ProposalFilterResult(Reject.Reason reason)` Create the result of the standard proposal filter

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Request.Proposal>` | `getProposals()` Get the proposals.
    `Reject.Reason` | `getReason()` Get the rejection reason.
    `boolean` | `isNoProposalLeft()` Whether any proposal is left.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasePolicy.ProposalFilterResult

          public BasePolicy.ProposalFilterResult(List<Request.Proposal> proposals)

      Create the result of the standard proposal filter
      Parameters:
        `proposals` - the list of proposals

    - #### BasePolicy.ProposalFilterResult

          public BasePolicy.ProposalFilterResult(Reject.Reason reason)

      Create the result of the standard proposal filter
      Parameters:
        `reason` - the rejection reason

  - ### Method Detail

    - #### isNoProposalLeft

          public boolean isNoProposalLeft()

      Whether any proposal is left.
      Returns:
        whether any proposal is left

    - #### getProposals

          public List<Request.Proposal> getProposals()

      Get the proposals.
      Returns:
        the proposals

    - #### getReason

          public Reject.Reason getReason()

      Get the rejection reason.
      Returns:
        the rejection reason

Copyright © 2013. All rights reserved.